## hnb 1.9.18

=== util/Makefile ===
all: asc2c
clean:
	rm -f asc2c *~

=== debian/changelog ===
hnb (1.9.18-10) unstable; urgency=low

  * Apply wrap-and-sort
  * Switch to Source-Format "3.0 (quilt)"
    + Remove quilt traces from debian/rules
    + Remove build-dependency on quilt
  * Bump Standards-Version to 3.9.4 (no changes)
  * Bump debhelper compatibility to 9
    + Update versioned build-dependency on debhelper accordingly
  * Revamp debian/rules:
    + Use debian/clean instead of manually calling rm
    + Make use of dh_clean's implicit removals (remove unneeded parameter)
    + Use dh_auto_clean
    + Use dh_auto_build to get hardening flags and drop manual
      DEB_BUILD_OPTIONS handling.
    + Finally switch to a dh7 style debian/rules file
  * Patch wrong printf usage in src/libcli/cli.c to make it compile with
    hardening build flags.
  * Add patch to pass $LDFLAGS to linker in src/Makefile. Fixes lintian
    warning hardening-no-relro.
  * Add patch to fix segfault if $HOME is not set (Closes: #716062)
  * Add Vcs-* headers
  * Add debian/gbp.conf to make sure git-import-* cares about pristine-tar.

 -- Axel Beckert <abe@debian.org>  Sat, 13 Jul 2013 17:42:11 +0200

hnb (1.9.18-9) unstable; urgency=low

  * Mark node as not temporary when finishing an edit.  Merged from lhnb.
    (Patch 24, Closes: #574118)
  * Bump standards version to 3.9.2.
  * Add the targets binary-indep and binary-arch to debian/rules.

 -- Carsten Hey <carsten@debian.org>  Mon, 29 Aug 2011 16:06:20 +0200

hnb (1.9.18-8) unstable; urgency=low

  [ Carsten Hey ]
  * Update default hnbrc (Patch 03; update offset in dependent patch 50):
    + Adapt search key bindings to be more intuitive (at least for vi users,
      others presumably don't try these keys):
      - "N" does now search backwards instead of forward in context search.
      - The key binding for "P" in context search has been removed.
    + Do some whitespace fixes, hnb is very fussy about whitespaces in ascii
      mode, which is the recommended way to edit this file.
    + Change symbol for undone todo entries in alternative bullet style from
      "!" to "_".
  * Add patches required for wide character support.  Besides applying
    below-mentioned patches, adding correct calculation of the cursor position
    in ui_edit.c is required for wide character support:
    + Make drawing the cursor independent from *data, this eases adding wide
      character  support to hnb.  Since we don't have full wide character
      support yet, this patch uses addch() and inch() instead of add_wch() and
      in_wch().  (Patch 19)
    + Call setlocale("LC_ALL") on startup of hnb.  (Patch 20)
    + Link against the wide character variant of libncurses and adapt build
      dependency.  (Patch 21).
  * Set encoding to UTF-8 in exported files.  (Patch 22)
  * Fix spelling errors in man page.  (Patch 23)
  * Override pedantic lintian warning "source-contains-prebuilt-binary" since
    we don't have an upstream to report this to.
  * Add ${misc:Depends} to debian/control.
  * Bump standards version to 3.9.1.
  * New maintainer address, also update debian/copyright.

  [ Axel Beckert ]
  * Add myself as uploader.

 -- Carsten Hey <carsten@debian.org>  Mon, 30 Aug 2010 22:50:30 +0200

hnb (1.9.18-7) unstable; urgency=low

  * Upload to unstable again.
  * Make appearance of todo bullets configurable, this patch has been merged
    from lhnb, a hnb fork by Tomáš Janoušek.
  * Mention lhnb in debian/copyright.
  * Add an alternative bullet style to default hnbrc and reformat hnbrc.  The
    alternative style uses less columns than the original style.

 -- Carsten Hey <c.hey@web.de>  Thu, 19 Feb 2009 07:58:50 +0100

hnb (1.9.18-6) experimental; urgency=low

  * Fixed a character lost bug in word wrapping.  Thanks to Tomáš Janoušek for
    the patch.
  * Bump dh compat level to 7, update build dependency and use dh_prep instead
    of dh_clean -k.

 -- Carsten Hey <c.hey@web.de>  Sat, 31 Jan 2009 13:03:34 +0100

hnb (1.9.18-5) experimental; urgency=low

  * Upload to experimental.  Lenny is in hard freeze and these changes are not
    targeted for Lenny.
  * Wrap words that are longer than one line.  This patch has been written by
    Tomáš Janoušek <tomi@nomi.cz> in 2007.
  * Merge hnbrc.vi into hnbrc and add some macros which change e.g. the
    keybindings.  Also improve the vi-like keybindings.  (Closes: #292889)
  * Enable some additional editing commands in hnbrc, e.g. ^B, ^F and ^D.
  * Update alternative color scheme so that it does not assume a terminal with
    dark background color anymore.
  * Mention orphaning by upstream in long description.  (Closes: #303711)
  * Mention additional contributors in debian/copyright.
  * README includes upstream's changelog, thus add a new upstream changelog
    file which points to README.
  * Disable watch file.  hnb 1.9.18 has been removed from sourceforge.net.

 -- Carsten Hey <c.hey@web.de>  Wed, 28 Jan 2009 08:27:13 +0100

hnb (1.9.18-4) unstable; urgency=low

  * New maintainer.  Thanks James Morrison!  (Closes: #465888)
  * Fix broken cursor.  (Closes: #339613)
  * Save recovery files in hnb's native format and choose a different naming
    scheme.  Thanks to Steve Pomeroy.  (Closes: #340061)
  * Don't lose fresh nodes created in search mode after pressing left key.
    This is achieved through a adapted configuration file and thus does not
    fix bug #405117 for old installations.
  * Use sensible-browser instead of w3m. (Closes: #396370)
  * Document exporting via shell command.  (Closes: #223268)
  * Don't compress Documentation.hnb.  It is supposed to be read by our users
    with one simple command.  Document this in hnb(1).
  * Fix line breaks in alternate hnbrc file.
  * Build cleanly twice in a row and regenerate the documentation, the
    configuration file and init_subsystems.c.  Also handle CFLAGS correctly.
  * libxml has been silently disabled by a previous upload, remove build
    dependency.
  * Maintain patches using quilt, add build dependency.


=== debian/control ===
Source: hnb
Section: misc
Priority: optional
Maintainer: Carsten Hey <carsten@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               libncursesw5-dev
Standards-Version: 3.9.4
Homepage: http://hnb.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/hnb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hnb.git

Package: hnb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: hierarchical notebook
 Hnb is an ncurses program to organize many kinds of data in one place, for
 example addresses, todo lists, ideas, book reviews or to store snippets of
 brainstorming, to make a structured packing list or just to take random notes.
 It can export ascii, html and xml, supports todo checkboxes, checkbox trees
 with percentages, priorities, preferences, searching and more.
 .
 Hnb is orphaned upstream. Though the current Debian maintainer tries to keep
 hnb in a usable and releasable state he does not plan to add many new
 features. If you are interested in hnb and want to become its new upstream
 maintainer please contact the original author and the Debian maintainer.
 .
 Hnb does currently not support UTF-8.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: set ft=make:

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CPPFLAGS_MAINT_PREPEND="-I/usr/include/ncursesw"

%:
	dh $@

override_dh_auto_build:
	$(MAKE) --always-make src/hnbrc.inc
	$(MAKE) --always-make -C src init_subsystems.c
	dh_auto_build src/hnb
	$(MAKE) --always-make -C doc Documentation.html

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_compress:
	dh_compress -X Documentation.hnb

# Empty target
override_dh_auto_install:

=== debian/watch ===
# hnb 1.9.18 has been removed from hnb.sf.net.

## hnb 1.9.18%2Bds1

=== debian/changelog ===
hnb (1.9.18+ds1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:41:47 +0000

hnb (1.9.18+ds1-1) unstable; urgency=medium

  * Rebuilt upstream source tar ball without generated files:
    + doc/Documentation.html
    + src/cli_history.o (fixes lintian warning source-is-missing)
    + src/hnbrc.inc
    + src/init_subsystems.c
  * Run under LC_ALL=C to fix FTBFS under some locales. (Closes: #795638)
  * Declare compliance with Debian Policy 3.9.6 (no changes needed)
  * Add patch to fix spelling error in resulting binary.

 -- Axel Beckert <abe@debian.org>  Sun, 23 Aug 2015 13:04:00 +0200

## hnb 1.9.18+ds1

=== Makefile ===

src/hnb: src/*.c src/*.h src/*.inc src/hnbrc.inc
	(cd src;make)
install: src/hnb
	install -D src/hnb /usr/local/bin/hnb
	install -D -m444 doc/hnb.1 /usr/local/man/man1/hnb.1
clean:
	(cd src;make clean)
	(cd util;make clean)
	rm -f *~

rcupdate: updaterc
updaterc: src/hnbrc.inc

src/hnbrc.inc: doc/hnbrc
	(cd util;make)
	echo -n "\"">src/hnbrc.inc
	cat doc/hnbrc | util/asc2c >> src/hnbrc.inc
	echo "\"">>src/hnbrc.inc

tar: updaterc clean hnb.spec config.h
	mkdir hnb-`cat VERSION`
	cp -r * hnb-`cat VERSION`; tar cvzf ../hnb-`cat VERSION`.tar.gz hnb-`cat VERSION`
	rm -rf hnb-`cat VERSION`

config.h: VERSION
	cp config.h config.h.tmp
	cat config.h.tmp | sed 's/VERSION .*/VERSION "'"`cat VERSION`"'"/' > config.h
	rm config.h.tmp

hnb.spec: VERSION
	mv hnb.spec hnb.spec.tmp
	cat hnb.spec.tmp | sed "s/Version:.*/Version: `cat VERSION`/" > hnb.spec
	rm hnb.spec.tmp

=== src/Makefile ===
LIBS=-lncurses libcli/libcli.a
CFLAGS=-I.. -Ilibcli -DHAVE_CONFIG_H -Wall -pedantic -g

CFILES=$(wildcard *.c)
OBJS=$(patsubst %.c,%.o,$(CFILES))

%.o: %.c *.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

hnb: libcli/libcli.a Makefile $(OBJS) init_subsystems.c *.h *.inc
	$(CC) -o hnb $(OBJS) $(LIBS) $(CFLAGS)
#	strip hnb
libcli/libcli.a: libcli/*.c
	(cd libcli;make libcli.a)
libcli/libcli_p.a: libcli/*.c
	(cd libcli;make libcli_p.a)
init_subsystems.c: *.c
	echo "/* this file is autogenerated, do not edit */">init_subsystems.c
	cat *.c | grep "^\!init_" | sort | sed -e "s/^\!/void /g">>init_subsystems.c
	echo "">>init_subsystems.c
	echo "void init_subsystems(){">>init_subsystems.c
	cat *.c | grep "^\!init_" | sort | sed -e "s/^\!/ /g">>init_subsystems.c
	echo "}">>init_subsystems.c
clean:
	rm -f xml_debug hnb $(OBJS) *~ cli_*.inc
	(cd libcli;make clean)
hnb_p: *.c libcli/libcli_p.a init_subsystems.c
	$(CC) -o hnb_p *.c -pg -lncurses_p libcli/libcli_p.a -I.. -Ilibcli -DHAVE_CONFIG_H

ps:  xml_states.ps
xml_states.ps: xml.dot
	dot -Tps xml.dot > xml_states.ps
hnb1:
	cc -o hnb -lcurses -I.. -DHAVE_CONFIG_H -Ilibcli libcli/cli.c libcli/cli_history.c *.c -Wall
hnb2:
	cc -o hnb -lncurses -I.. -DHAVE_CONFIG_H -Ilibcli libcli/cli.c libcli/cli_history.c *.c -Wall
hnb3:
	/path/to/cross-compiler/cc -o hnb /usr/local/cross-tools/i386-mingw32msvc/lib/pdcurses.a libcli/libcli.a -I.. -DHAVE_CONFIG_H -Ilibcli libcli/cli.c libcli/cli_history.c *.c -Wall

=== src/libcli/Makefile ===
CFLAGS = -Wall

OBJS = cli.o cli_history.o cli_tokenize.o

all: libcli.a libcli.so test-static test-shared 

clean:
	rm -f *.o *.a *.so test-s* *~
libcli.a: $(OBJS)
	ar rc libcli.a cli*.o
libcli_p.a: 
	$(CC) -pg -c cli.c
	$(CC) -pg -c cli_history.c
	ar rcs libcli_p.a cli*.o
libcli.so: $(OBJS)
	$(CC) -shared cli*.o -o libcli.so $(CFLAGS) $(LIBS)
test-static: test.o libcli.a
	$(CC) -o test-static test.o libcli.a $(CFLAGS) $(LIBS) 
test-shared: test.o libcli.so
	$(CC) -o test-shared test.o -L. -lcli $(CFLAGS) $(LIBS)

=== debian/changelog ===
hnb (1.9.18+ds1-3) unstable; urgency=medium

  * Workaround FTBFS with GCC 10 by using -fcommon. (Closes: #957337)
  * Update Vcs-* header for move to Salsa.
  * Add version to dummy debian/watch to please lintian.
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 19 Apr 2020 09:01:23 +0200

hnb (1.9.18+ds1-2) unstable; urgency=low

  * Declare compliance with Debian Policy 4.1.2. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Switch Vcs-* headers to cgit and HTTPS.
  * Remove no more needed lintian (source) override.
  * Enable all hardening build flags.
  * Expand 28_fix_spelling_error_in_binary.patch to fix some more spelling
    errors found by lintian.
  * debian/copyright: Update URL to lhnb git repo. Issue reported by DUCK.
  * Add debian/duck-overrides for an old, no more valid e-mail address
    where no more recent address couldn't be determined.
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Mon, 18 Dec 2017 02:50:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Carsten Hey <carsten@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                libncursesw5-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.5.0
 Homepage: http://hnb.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/hnb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hnb.git
+Vcs-Git: https://salsa.debian.org/debian/hnb.git
+Vcs-Browser: https://salsa.debian.org/debian/hnb
+Rules-Requires-Root: no
 
 Package: hnb
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_CPPFLAGS_MAINT_PREPEND="-I/usr/include/ncursesw"
+export DEB_CFLAGS_MAINT_APPEND="-fcommon"
+export LC_ALL=C
 
 %:
 	dh $@

=== debian/watch ===
# hnb 1.9.18 has been removed from hnb.sf.net.
version=4
